import request from '@/utils/request'

// 创建邮箱模板
export function createMailTemplate(data) {
  return request({
    url: '/system/mail-template/create',
    method: 'post',
    data: data
  })
}

// 更新邮箱模板
export function updateMailTemplate(data) {
  return request({
    url: '/system/mail-template/update',
    method: 'put',
    data: data
  })
}

// 删除邮箱模板
export function deleteMailTemplate(id) {
  return request({
    url: '/system/mail-template/delete?id=' + id,
    method: 'delete'
  })
}

// 获得邮箱模板
export function getMailTemplate(id) {
  return request({
    url: '/system/mail-template/get?id=' + id,
    method: 'get'
  })
}

// 获得邮箱模板分页
export function getMailTemplatePage(query) {
  return request({
    url: '/system/mail-template/page',
    method: 'get',
    params: query
  })
}

// 导出邮箱模板 Excel
export function exportMailTemplateExcel(query) {
  return request({
    url: '/system/mail-template/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}



// 发送邮件
export function sendMail(data) {
  return request({
    url: '/system/mail-template/send-mail',
    method: 'post',
    data: data
  })
}
